%ifarch %{arm} aarch64
%define build_docs     0
%else
%define build_docs     1
%endif

%define qtmajor 5
%define qtminor 15
%define qtsubminor 12

%define rel 1

%define qtversion      %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtspeech    %mklibname qt5texttospeech %{qtmajor}
%define libqtspeech_d  %mklibname qt5texttospeech -d

%define qttarballdir   qtspeech-everywhere-opensource-src-%{qtversion}

Name:           qtspeech5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} TextToSpeech component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPLv2, respectively, for exception details
License:        LGPLv3 with exceptions or GPLv2 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
Patch0001:	0001-Reverse-list-of-voices-before-returning-from-Speech-.patch
BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:  pkgconfig(speech-dispatcher)

%description
Qt%{qtmajor} TextToSpeech component.

%files
%license LICENSE.*
%{_qt5_plugindir}/texttospeech/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtTextToSpeech%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtTextToSpeech%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtspeech.qch
%{_qt5_docdir}/qtspeech/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtspeech}
Summary:        Qt%{qtmajor} TextToSpeech Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtspeech}
Qt%{qtmajor} TextToSpeech Component Library.

%files -n %{libqtspeech}
%{_qt5_libdir}/libQt5TextToSpeech.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtspeech_d}
Summary:        Devel files needed to build apps based on QtTextToSpeech
Group:          Development/KDE and Qt
Requires:       %{libqtspeech} = %{version}
Provides:       libqttexttospeech5-devel = %{version}
Provides:       libqt5texttospeech-devel = %{version}
Provides:       qttexttospeech5-devel = %{version}
Provides:       qt5texttospeech-devel = %{version}

%description -n %{libqtspeech_d}
Devel files needed to build apps based on Qt TextToSpeech.

%files -n %{libqtspeech_d}
%{_qt5_includedir}/QtTextToSpeech/
%{_qt5_libdir}/libQt5TextToSpeech.so
%{_qt5_libdir}/pkgconfig/Qt5TextToSpeech.pc
%{_qt5_libdir}/cmake/Qt5TextToSpeech/
%{_qt5_libdir}/*.prl
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/speech/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtspeech-everywhere-src-%{qtversion}
%autopatch -p1

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Tue Jan 09 2024 neoclust <neoclust> 5.15.12-1.mga10
+ Revision: 2029338
- New version 5.15.12

* Fri Dec 09 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1920126
- New version 5.15.7

* Sat Sep 10 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1886627
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881065
- New version 5.15.5

* Sun Apr 03 2022 umeabot <umeabot> 5.15.2-2.mga9
+ Revision: 1841982
- Mageia 9 Mass Rebuild

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652470
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624922
- New version 5.15.1

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589835
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545538
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484409
- New version 5.14.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438502
- New version 5.13.1

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421132
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418157
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384548
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378548
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362293
- New version 5.12.1

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339148
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319037
- New version 5.11.2

* Sun Sep 23 2018 umeabot <umeabot> 5.11.1-2.mga7
+ Revision: 1300729
- Mageia 7 Mass Rebuild

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245823
- New version 5.11.1

* Fri May 25 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232122
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216517
- New version 5.10.1

* Thu Mar 01 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1205937
- New version 5.9.4

* Wed Dec 27 2017 neoclust <neoclust> 5.9.3-1.mga7
+ Revision: 1185546
- New version 5.9.3

* Wed Aug 09 2017 daviddavid <daviddavid> 5.9.1-1.mga7
+ Revision: 1139385
- initial package qtspeech5

